#### D.4.11.19 tensorMod

Procedure from library `homolog.lib` (see homolog_lib).

Usage:
  tensorMod(M,N); M,N modules

Compute:
  presentation matrix A of the tensor product T of the modules M'=coker(M), N'=coker(N): if matrix(M) defines a map M: R^r-->R^s and matrix(N) defines a map N: R^p-->R^q, then A defines a presentation

               R^(sp+rq) --A-> R^(sq)  --> T --> 0 .

Return:
  matrix A satisfying coker(A) = tensorprod(coker(M),coker(N)) .

Example:

    LIB "homolog.lib";
    ring A=0,(x,y,z),dp;
    matrix M[3][3]=1,2,3,4,5,6,7,8,9;
    matrix N[2][2]=x,y,0,z;
    print(M);
    ==> 1,2,3,
    ==> 4,5,6,
    ==> 7,8,9
    print(N);
    ==> x,y,
    ==> 0,z
    print(tensorMod(M,N));
    ==> x,y,0,0,0,0,1,0,2,0,3,0,
    ==> 0,z,0,0,0,0,0,1,0,2,0,3,
    ==> 0,0,x,y,0,0,4,0,5,0,6,0,
    ==> 0,0,0,z,0,0,0,4,0,5,0,6,
    ==> 0,0,0,0,x,y,7,0,8,0,9,0,
    ==> 0,0,0,0,0,z,0,7,0,8,0,9

User manual for Singular version 4.4.1, 2025, generated by texi2html.